UbuntuHardwareAlarmWaitResult Struct Reference

`#include <alarm.h>`

Collaboration diagram for UbuntuHardwareAlarmWaitResult:

## Data Fields

UHardwareAlarmTimeReference | reference
UHardwareAlarmSleepBehavior | sleep_behavior

## Detailed Description

Bundles the time reference and sleep/wakeup behavior when waiting for an alarm to happen.

Definition at line 49 of file alarm.h.

## Field Documentation

UHardwareAlarmTimeReference UbuntuHardwareAlarmWaitResult::reference

Definition at line 51 of file alarm.h.

UHardwareAlarmSleepBehavior UbuntuHardwareAlarmWaitResult::sleep_behavior

Definition at line 52 of file alarm.h.

The documentation for this struct was generated from the following file:

- /build/platform-api-5s2MVK/platform-api-3.0.1+16.04.20160203/include/ubuntu/hardware/alarm.h